Subject: Re: bug#77889: [PATCH] Clarify insert-char when called from Lisp

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Apr 2025 14:11:58 +0300

> From: Lactose ‎ <[email-masked]>
> Date: Thu, 17 Apr 2025 18:39:30 -0700
> 
> The doc for `insert-char' is unclear what values are valid for CHARACTER
> when called from Lisp. This clarifies that only code points can be
> passed when called from Lisp instead of interactively.
> 
> > Interactively, prompt for CHARACTER using `read-char-by-name'.
> > You can specify CHARACTER in one of these ways:
> 
> This reads to me as two separate, unrelated statements. Somemone could
> interpret the latter as applying when called from Lisp, when in fact it's
> only true when called interactively.
> 
> > Interactively, prompt for CHARACTER using `read-char-by-name'.
> > When prompted, you can specify CHARACTER in one of these ways:
> 
> This is much better as it is now clear it only applies when
> called interactively.
> 
> In addition, I added details on how to call `insert-char' from Lisp.
> 
> > When called from Lisp, you can only pass CHARACTER as a code point.
> > See `char-from-name' for retrieving a code point from a Unicode character name.

Thanks, I used these ideas and suggestions to fix the doc string in a
slightly different way.  Done on the emacs-30 branch, and closing the
bug.